# std::type_info Class Reference

Part of RTTI. More...

List of all members.

## Public Member Functions
virtual | ~type_info ()
const char * | name () const
## Private Member Functions
type_info & | operator= (const type_info &)
| Assigning type_info is not supported. Made private.

## Detailed Description

Part of RTTI.

The `type_info` class describes type information generated by an implementation.

Definition at line 63 of file typeinfo.

## Constructor & Destructor Documentation

virtual std::type_info::~type_info | ( |  | ) | `[virtual]`

| Destructor. Being the first non-inline virtual function, this controls in which translation unit the vtable is emitted. The compiler makes use of that information to know where to emit the runtime-mandated type_info structures in the new-abi.

## Member Function Documentation

const char* std::type_info::name | ( |  | ) | const`[inline]`

| Returns an implementation-defined byte string; this is not portable between compilers! Definition at line 87 of file typeinfo.

type_info& std::type_info::operator= | ( | const type_info & |  | ) | `[private]`

| Assigning type_info is not supported. Made private.

The documentation for this class was generated from the following file:

- typeinfo